KToolBarPopupAction class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KToolBarPopupAction Class Reference

This action is a normal action everywhere, except in a toolbar where it also has a popupmenu (optionnally delayed). More...

`#include <kaction.h>`

Inheritance diagram for KToolBarPopupAction:

[legend]
Collaboration diagram for KToolBarPopupAction:

[legend]
List of all members.

## Public Member Functions
| KToolBarPopupAction (const QString &text, const QString &icon, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| Create a KToolBarPopupAction, with a text, an icon, an optionnal accelerator, parent and name.
| KToolBarPopupAction (const QString &text, const QString &icon, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent=0, const char *name=0)
| Create a KToolBarPopupAction, with a text, an icon, an accelerator, a slot connected to the action, parent and name.
| KToolBarPopupAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| Create a KToolBarPopupAction, with a KGuiItem, an accelerator, a slot connected to the action, parent and name.
virtual int | plug (QWidget *widget, int index=-1)
| "Plug" or insert this action into a given widget.
KPopupMenu * | popupMenu () const
| The popup menu that is shown when clicking (some time) on the toolbar button.
bool | delayed () const
| Returns true if this action creates a delayed popup menu when plugged in a KToolbar.
void | setDelayed (bool delayed)
| If set to true, this action will create a delayed popup menu when plugged in a KToolbar.
bool | stickyMenu () const
| Returns true if this action creates a sticky popup menu.
void | setStickyMenu (bool sticky)
| If set to true, this action will create a sticky popup menu when plugged in a KToolbar.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This action is a normal action everywhere, except in a toolbar where it also has a popupmenu (optionnally delayed).

This action is designed for history actions (back/forward, undo/redo) and for any other action that has more detail in a toolbar than in a menu (e.g. tool chooser with "Other" leading to a dialog...).

Definition at line 1537 of file kaction.h.

## Constructor & Destructor Documentation

KToolBarPopupAction::KToolBarPopupAction | ( | const QString & | text,
|  | const QString & | icon,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Create a KToolBarPopupAction, with a text, an icon, an optionnal accelerator, parent and name. Parameters:
  text | The text that will be displayed.
  icon | The icon to display.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 2738 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KToolBarPopupAction::KToolBarPopupAction | ( | const QString & | text,
|  | const QString & | icon,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Create a KToolBarPopupAction, with a text, an icon, an accelerator, a slot connected to the action, parent and name. If you do not want or have a keyboard accelerator, set the `cut` param to 0. Parameters:
  text | The text that will be displayed.
  icon | The icon to display.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's owner.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 2749 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KToolBarPopupAction::KToolBarPopupAction | ( | const KGuiItem & | item,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

  | Create a KToolBarPopupAction, with a KGuiItem, an accelerator, a slot connected to the action, parent and name. The text and the icon are taken from the KGuiItem. If you do not want or have a keyboard accelerator, set the `cut` param to 0. Parameters:
  item | The text and icon that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's owner.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 2762 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

## Member Function Documentation

int KToolBarPopupAction::plug | ( | QWidget * | widget,
|  | int | index = -1
| ) | `[virtual]`

  | "Plug" or insert this action into a given widget. This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KAction object. Parameters:
  w | The GUI element to display this action
Reimplemented from KAction. Definition at line 2796 of file kaction.cpp. References QWhatsThis::add(), QObject::connect(), delayed(), QObject::destroyed(), KToolBar::getButton(), KToolBar::insertButton(), KGlobal::instance(), KActionCollection::instance(), KNotifyClient::instance(), QString::isEmpty(), KAction::isEnabled(), QObject::name(), KAction::plug(), popupMenu(), KToolBar::setDelayedPopup(), KToolBarButton::setPopup(), stickyMenu(), and KAction::whatsThis().

KPopupMenu * KToolBarPopupAction::popupMenu | ( |  | ) | const

| The popup menu that is shown when clicking (some time) on the toolbar button. You may want to plug items into it on creation, or connect to aboutToShow for a more dynamic menu. Definition at line 2837 of file kaction.cpp. References m_popup. Referenced by plug().

bool KToolBarPopupAction::delayed | ( |  | ) | const

| Returns true if this action creates a delayed popup menu when plugged in a KToolbar. Definition at line 2780 of file kaction.cpp. Referenced by plug().

void KToolBarPopupAction::setDelayed | ( | bool | delayed | ) |

| If set to true, this action will create a delayed popup menu when plugged in a KToolbar. Otherwise it creates a normal popup. Default: delayed. Definition at line 2784 of file kaction.cpp.

bool KToolBarPopupAction::stickyMenu | ( |  | ) | const

| Returns true if this action creates a sticky popup menu. See setStickyMenu. Definition at line 2788 of file kaction.cpp. Referenced by plug().

void KToolBarPopupAction::setStickyMenu | ( | bool | sticky | ) |

| If set to true, this action will create a sticky popup menu when plugged in a KToolbar. "Sticky", means it's visible until a selection is made or the mouse is clicked elsewhere. This feature allows you to make a selection without having to press and hold down the mouse while making a selection. Only available if delayed() is true. Default: sticky. Definition at line 2792 of file kaction.cpp.

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:05:13 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001